Bug 1868401 - Image operating system mismatch
Summary: Image operating system mismatch
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Build
Version: 4.4
Hardware: x86_64
OS: Linux
urgent
urgent
Target Milestone: ---
: 4.5.z
Assignee: Adam Kaplan
QA Contact: wewang
URL:
Whiteboard:
Depends On: 1858779
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-08-12 14:27 UTC by OpenShift BugZilla Robot
Modified: 2020-09-08 10:55 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: Buildah erased image architecture and OS fields on images Consequence: Common container tools will fail because the resulting images do not identify their architecture and OS. Fix: Buildah does not overwrite the image and architecture unless there are explicit overrides. Result: Resulting images always have architecture and OS fields, and the image mismatch warning does not appear.
Clone Of:
Environment:
Last Closed: 2020-09-08 10:54:46 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift builder pull 169 None closed [release-4.5] Bug 1868401: bump(containers/buildah): 2020-09-17 13:57:07 UTC
Red Hat Product Errata RHBA-2020:3510 None None None 2020-09-08 10:55:29 UTC

Comment 5 errata-xmlrpc 2020-09-08 10:54:46 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.5.8 bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:3510


Note You need to log in before you can comment on or make changes to this bug.